@book{Goodfellow-et-al-2016,
    title={Deep Learning},
    author={I. Goodfellow and Y. Bengio and A. Courville},
    publisher={MIT Press},
    url={http://www.deeplearningbook.org},
    year={2016}
}

@article{arXiv:end_to_end_udacity,
	author  = {Zhengyuan Yang and Yixuan Zhang and Jerry Yu and Junjie Cai and Jiebo Luo},
	title   = {End-to-end Multi-Modal Multi-Task Vehicle Control for Self-Driving Cars with Visual Perception},
	journal = {arXiv:1801.06734},
	year    = {2018},
	month   = {1},
	URL     = {https://arxiv.org/abs/1801.06734},
	abstract= {}
}

@article{arXiv:interpretable_learning,
	author  = {Jinkyu Kim and John Canny},
	title   = {End to End Learning for Self-Driving Cars},
	journal = {arXiv:1703.10631},
	year    = {2017},
	month   = {3},
	URL     = {https://arxiv.org/abs/1703.10631},
	abstract= {}
}

@article{arXiv:end_to_end_nvidia,
	author  = {Mariusz Bojarski and Davide Del Testa and Daniel Dworakowski and Bernhard Firner and Beat Flepp and Prasoon Goyal and Lawrence D. Jackel and Mathew Monfort and Urs Muller and Jiakai Zhang and Xin Zhang and Jake Zhao and Karol Zieba},
	title   = {End to End Learning for Self-Driving Cars},
	journal = {arXiv:1604.07316},
	year    = {2016},
	month   = {4},
	URL     = {https://arxiv.org/abs/1604.07316},
	abstract= {}
}

@article{arXiv:end_to_end_vid_data,
	author  = {Huazhe Xu and Yang Gao and Fisher Yu and Trevor Darrell},
	title   = {End-to-end Learning of Driving Models from Large-scale Video Datasets},
	journal = {arXiv:1612.01079v2},
	year    = {2017},
	month   = {7},
	URL     = {https://arxiv.org/abs/1612.01079v2},
	abstract= {}
}

@article{DBLP:journals/corr/ZeilerF13,
  author    = {Matthew D. Zeiler and
               Rob Fergus},
  title     = {Visualizing and Understanding Convolutional Networks},
  journal   = {CoRR},
  volume    = {abs/1311.2901},
  year      = {2013},
  url       = {http://arxiv.org/abs/1311.2901},
  archivePrefix = {arXiv},
  eprint    = {1311.2901},
  timestamp = {Mon, 13 Aug 2018 16:48:37 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/ZeilerF13.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{lamb2016professor,
    title={Professor Forcing: A New Algorithm for Training Recurrent Networks},
    author={Alex Lamb and Anirudh Goyal and Ying Zhang and Saizheng Zhang and Aaron Courville and Yoshua Bengio},
    volume={abs/1610.09038},
    year={2016},
	url={https://arxiv.org/abs/1610.09038},
    eprint={1610.09038},
    archivePrefix={arXiv},
}

@ARTICLE{1549828,

  author={ {Zhi-Hua Zhou} and  {Xu-Ying Liu}},

  journal={IEEE Transactions on Knowledge and Data Engineering}, 

  title={Training cost-sensitive neural networks with methods addressing the class imbalance problem}, 

  year={2006},

  volume={18},

  number={1},

  pages={63-77},
}

@article{DBLP:journals/corr/ZeilerF13,
  author    = {Matthew D. Zeiler and
               Rob Fergus},
  title     = {Visualizing and Understanding Convolutional Networks},
  journal   = {CoRR},
  volume    = {abs/1311.2901},
  year      = {2013},
  url       = {http://arxiv.org/abs/1311.2901},
  archivePrefix = {arXiv},
  eprint    = {1311.2901},
  timestamp = {Mon, 13 Aug 2018 16:48:37 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/ZeilerF13.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/corr/XuGYD16,
  author    = {Huazhe Xu and
               Yang Gao and
               Fisher Yu and
               Trevor Darrell},
  title     = {End-to-end Learning of Driving Models from Large-scale Video Datasets},
  journal   = {CoRR},
  volume    = {abs/1612.01079},
  year      = {2016},
  url       = {http://arxiv.org/abs/1612.01079},
  archivePrefix = {arXiv},
  eprint    = {1612.01079},
  timestamp = {Mon, 13 Aug 2018 16:48:19 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/XuGYD16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{DBLP:journals/corr/SantanaH16,
  author    = {Eder Santana and
               George Hotz},
  title     = {Learning a Driving Simulator},
  journal   = {CoRR},
  volume    = {abs/1608.01230},
  year      = {2016},
  url       = {http://arxiv.org/abs/1608.01230},
  archivePrefix = {arXiv},
  eprint    = {1608.01230},
  timestamp = {Mon, 13 Aug 2018 16:46:59 +0200},
  biburl    = {https://dblp.org/rec/journals/corr/SantanaH16.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}





@misc{web:forschA,
	author  = {Fabian Ketzler},
	title   = {Forschungsprojekt A},
	urldate = {2020-09-09},
	year    = {2020},
	url     = {https://gitlab.com/fabian.ket/forscha},
	keywords= {on}
}

@misc{web:forschB,
	author  = {Fabian Ketzler},
	title   = {Forschungsprojekt B},
	urldate = {2020-09-09},
	year    = {2020},
	url     = {https://gitlab.com/fabian.ket/forschb},
	keywords= {on}
}

@misc{web:icw1,
	author  = {Fabian Ketzler},
	title   = {ICW 1},
	urldate = {2020-09-09},
	year    = {2020},
	url     = {https://gitlab.com/fabian.ket/icw1},
	keywords= {on}
}

@misc{web:icw2,
	author  = {Fabian Ketzler},
	title   = {ICW 2},
	urldate = {2020-09-09},
	year    = {2020},
	url     = {https://gitlab.com/fabian.ket/icw2},
	keywords= {on}
}

@misc{web:ros,
	author = {ROS},
	title = {ROS.org | Powering the world's robots},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {https://www.ros.org/},
	keywords= {on}
}

@misc{web:neuroRace:Git,
	author = {HTW deep.TEACHING},
	title = {NeuroRace},
	urldate = {2020-09-09},
	year = {2019},
	month = {},
	day = {},
	URL = {https://gitlab.com/NeuroRace},
	keywords= {on}
}

@misc{web:udacity:Git,
	author = {Eric Gonzalez and MacCallister Higgins and Oliver Cameron},
	title = {Udacity Self-Driving-Car},
	urldate = {2020-09-09},
	year = {2019},
	month = {},
	day = {},
	URL = {https://github.com/udacity/self-driving-car},
	keywords= {on}
}

@misc{web:keras,
	author = {Keras},
	title = {Keras: the Python deep learning API},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {https://keras.io/},
	keywords= {on}
}

@misc{web:cs231n,
	author = {CS231n},
	title = {CS231n Convolutional Neural Networks for Visual Recognition},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {https://cs231n.github.io/understanding-cnn/},
	keywords= {on}
}

@misc{web:masteryTeacher,
	author = {Jason Brownlee},
	title = {What is Teacher Forcing for Recurrent Neural Networks?},
	urldate = {2020-09-09},
	year = {2019},
	month = {},
	day = {},
	URL = {https://machinelearningmastery.com/teacher-forcing-for-recurrent-neural-networks/},
	keywords= {on}
}

@misc{web:masteryResampleTime,
	author = {Jason Brownlee},
	title = {How To Resample and Interpolate Your Time Series Data With Python},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {https://machinelearningmastery.com/resample-interpolate-time-series-data-python/},
	keywords= {on}
}

@misc{web:gazebo,
	author = {Gazebo},
	title = {Gazebo},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {http://gazebosim.org/},
	keywords= {on}
}

@misc{web:mitGazebo,
	author = {MIT},
	title = {A gazebo-based simulator of the MIT Racecar},
	urldate = {2020-09-09},
	year = {2020},
	month = {},
	day = {},
	URL = {https://github.com/mit-racecar/racecar_gazebo},
	keywords= {on}
}



@misc{img:same_padding_no_strides,
	author  = {Mathworks},
	title   = {Same padding no strides},
	year    = {2020},
	urldate = {2020-09-09},
	url     = {https://www.mathworks.com/help/deeplearning/ug/same_padding_no_strides.gif},
	keywords= {image}
}